Bug 1657699 - [Modularity] - Need to run "/usr/libexec/rhsmcertd-worker" every time to see updated module stream profiles [NEEDINFO]
Summary: [Modularity] - Need to run "/usr/libexec/rhsmcertd-worker" every time to see ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.5.0
Hardware: All
OS: All
unspecified
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On: 1650157
Blocks: 1616153
TreeView+ depends on / blocked
 
Reported: 2018-12-10 10:05 UTC by Omkar Khatavkar
Modified: 2019-10-07 17:19 UTC (History)
7 users (show)

Fixed In Version: katello-installer-base-3.10.0.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:23 UTC
bkearney: needinfo? (ehelms)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:31 UTC
Foreman Issue Tracker 25873 None None None 2019-01-16 23:41:54 UTC

Description Omkar Khatavkar 2018-12-10 10:05:00 UTC
Description of problem:
Need to run "/usr/libexec/rhsmcertd-worker" every time to see updated module stream profiles in Content Hosts Page 

Version-Release number of selected component (if applicable):
6.5 Snap 7

How reproducible:
always 

Steps to Reproduce:
1. Register Content Host (RHEL8) machine with satellite 
2. install module stream (dnf module install ruby)
3. Navigate to  Select ContentHost -> Module Streams Page 

Actual results:
Every time we need to run "/usr/libexec/rhsmcertd-worker" manually on the content host to see updated module stream profiles hos host page in satellite  

Expected results:
We should not be required to run "/usr/libexec/rhsmcertd-worker" manually to see the module stream profile in satellite 

Additional info:
this in content host 
rpm -qa | grep sub
python3-subscription-manager-rhsm-1.23.8-6.el8.x86_64
subscription-manager-rhsm-certificates-1.23.8-6.el8.x86_64
dnf-plugin-subscription-manager-1.23.8-6.el8.x86_64
subscription-manager-1.23.8-6.el8.x86_64

Comment 5 Sachin Ghai 2019-01-08 13:14:31 UTC
Can we please prioritize the bug as every time user has to run "/usr/libexec/rhsmcertd-worker" to see updated module streams as well as errata on UI ?

Comment 7 Partha Aji 2019-01-16 23:41:53 UTC
Connecting redmine issue https://projects.theforeman.org/issues/25873 from this bug

Comment 11 Bryan Kearney 2019-01-17 03:03:05 UTC
Upstream bug assigned to paji@redhat.com

Comment 12 Bryan Kearney 2019-01-17 03:03:07 UTC
Upstream bug assigned to paji@redhat.com

Comment 15 Bryan Kearney 2019-01-22 15:02:55 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25873 has been resolved.

Comment 16 Omkar Khatavkar 2019-01-25 07:54:35 UTC
Verified this in downstream with satellite 6.5 with Snap 12, the fix is working fine.

Comment 26 errata-xmlrpc 2019-05-14 12:39:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.